netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
fce_api_internal.h File Reference

Internal definitions for File Change Events API. More...

`#include <stdbool.h>`
`#include <atalk/fce_api.h>`

Go to the source code of this file.

## Data Structures
struct | udp_entry
struct | fce_history
struct | fce_close_event

## Macros
#define | FCE_MAX_UDP_SOCKS 5
#define | FCE_SOCKET_RETRY_DELAY_S 600
#define | FCE_HISTORY_LEN 10
#define | MAX_COALESCE_TIME_MS 1000
#define | FCE_COALESCE_CREATE (1 << 0)
#define | FCE_COALESCE_DELETE (1 << 1)
#define | FCE_COALESCE_ALL (FCE_COALESCE_CREATE | FCE_COALESCE_DELETE)
#define | PACKET_HDR_LEN (sizeof(struct fce_packet) - FCE_MAX_PATH_LEN)

## Functions
bool | fce_handle_coalescation (int event, const char *path)
void | fce_initialize_history (void)

## Detailed Description

Internal definitions for File Change Events API.

Author
  mw

## Macro Definition Documentation

## ◆ FCE_COALESCE_ALL

#define FCE_COALESCE_ALL (FCE_COALESCE_CREATE | FCE_COALESCE_DELETE)

## ◆ FCE_COALESCE_CREATE

#define FCE_COALESCE_CREATE (1 << 0)

## ◆ FCE_COALESCE_DELETE

#define FCE_COALESCE_DELETE (1 << 1)

## ◆ FCE_HISTORY_LEN

#define FCE_HISTORY_LEN 10

This is used to coalesce events

## ◆ FCE_MAX_UDP_SOCKS

#define FCE_MAX_UDP_SOCKS 5

Allow a maximum of udp listeners for file change events

## ◆ FCE_SOCKET_RETRY_DELAY_S

#define FCE_SOCKET_RETRY_DELAY_S 600

Pause this time in s after socket was broken

## ◆ MAX_COALESCE_TIME_MS

#define MAX_COALESCE_TIME_MS 1000

Events older than this are not coalesced

## ◆ PACKET_HDR_LEN

#define PACKET_HDR_LEN (sizeof(struct fce_packet) - FCE_MAX_PATH_LEN)

## Function Documentation

## ◆ fce_handle_coalescation()

bool fce_handle_coalescation | ( | int | event,
|  | const char * | path )

## ◆ fce_initialize_history()

void fce_initialize_history | ( | void |  | ) |